<app-loading *ngIf="loading"></app-loading>
<form [formGroup]="categoryForm" nz-form>
    <div class="content">
        <div nz-row [nzGutter]="24">
            <div nzSpan="9" nz-col>
                <mb-select [mbDataSelects]="listLookupCodeParent" mbKeyLabel="lcoDesc" mbKeyValue="lcoId"
                    formControlName="categoryManager" (mbSelect)="onChangeType($event, 0)" [mbDisable]='isDisable'
                    [mbType]="isSubmitted && (categoryForm.controls['categoryManager'].errors || categoryForm.errors?.required) ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && (categoryForm.controls['categoryManager'].errors || categoryForm.errors?.required) !== null"
                    [mbErrors]="categoryForm.controls['categoryManager'].errors" [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
            | translate: {'param': 'modelOrganization.validate.feild' | translate }}
            ]" mbLabelText="{{'modelOrganization.label.manageCategory' | translate}} <span class='label__required'>*</span>"
                    mbPlaceholder="{{'modelOrganization.placeHoder.typeCategory' | translate}}">
                </mb-select>
            </div>

          <div nzSpan="9" nz-col>
            <mb-select [mbDataSelects]="listManageCategory" mbKeyLabel="lvaMean" *ngIf="isShowLevel1 || isShowLevel2"
                       (mbSelect)="onChangeLva($event, categoryForm.controls['categoryChild1'].value)"
                       mbKeyValue="lvaId" formControlName="valueManager" [mbDisable]='false'
                       [mbType]="isSubmitted && !this.categoryForm.value.valueManager ? 'error' : 'default'"
                       [mbShowError]="isSubmitted && !this.categoryForm.value.valueManager"
                       [mbErrors]="{required: true}" [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
            | translate: {'param': 'modelOrganization.validate.feild' | translate }}]"
                       mbLabelText="{{'modelOrganization.label.manageCategoryValue' | translate}} <span class='label__required'>*</span>"
                       mbPlaceholder="{{'modelOrganization.placeHoder.manageCategory' | translate}}"></mb-select>

            <mb-input-text *ngIf="!isShowLevel1 && !isShowLevel2"
                           [mbType]="isSubmitted && (categoryForm.controls['valueManager'].errors || categoryForm.errors?.date) ? 'error' : 'default'"
                           [mbShowError]="isSubmitted && (categoryForm.controls['valueManager'].errors || categoryForm.errors?.required) !== null"
                           [mbErrors]="categoryForm.controls['valueManager'].errors" [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
            | translate: {'param': 'modelOrganization.validate.feild' | translate }},
            ]" [mbMaxLength]="250" formControlName="valueManager"
                           mbPlaceholderText="{{'modelOrganization.placeHoder.attCategory' | translate}}"
                           mbLabelText="{{'modelOrganization.label.attCategory' | translate}} <span class='label__required'>*</span>">
            </mb-input-text>
          </div>
          <div nzSpan="6" nz-col class="btn-fill">
            <div class='mt-20' *ngIf="categoryForm.controls['categoryManager'].value && listLookupCodeChlid1.length">
              <nz-switch nzSize="small" [(ngModel)]="isShowLevel1" [ngModelOptions]="{standalone: true}" (ngModelChange)="changeSw($event, 1)"></nz-switch>
              <span class="text">{{ 'Chọn danh mục' | translate }}</span>
            </div>
          </div>

        </div>
        <div nz-row [nzGutter]="24" *ngIf="isShowLevel1">
            <div nzSpan="9" nz-col>
                <mb-select [mbDataSelects]="listLookupCodeChlid1" mbKeyLabel="lcoDesc" mbKeyValue="lcoId"
                    formControlName="categoryChild1" (mbSelect)="onChangeType($event, 1)" [mbDisable]='false'
                    [mbType]="isSubmitted && (categoryForm.controls['categoryChild1'].errors || categoryForm.errors?.required) ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && (categoryForm.controls['categoryChild1'].errors || categoryForm.errors?.required) !== null"
                    [mbErrors]="categoryForm.controls['categoryChild1'].errors" [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
            | translate: {'param': 'modelOrganization.validate.feild' | translate }}
            ]" mbLabelText="{{'modelOrganization.label.childCategory1' | translate}} <span class='label__required'>*</span>"
                    mbPlaceholder="{{'modelOrganization.placeHoder.typeCategory' | translate}}">
                </mb-select>
            </div>

          <div nzSpan="9" nz-col>
            <mb-select [mbDataSelects]="listCategoryChild" mbKeyLabel="lvaMean" *ngIf="isShowLevel2"
                       mbKeyValue="lvaId" formControlName="valueChild1" [mbDisable]='false'
                       [mbType]="isSubmitted && !this.categoryForm.value.valueChild1 ? 'error' : 'default'"
                       [mbShowError]="isSubmitted && !this.categoryForm.value.valueChild1"
                       [mbErrors]="{required: true}" [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
            | translate: {'param': 'modelOrganization.validate.feild' | translate }}]"
                       mbLabelText="{{'modelOrganization.label.childCategoryValue1' | translate}} <span class='label__required'>*</span>"
                       mbPlaceholder="{{'modelOrganization.placeHoder.manageCategory' | translate}}"></mb-select>

            <mb-input-text *ngIf="!isShowLevel2"
                           [mbType]="isSubmitted && categoryForm.controls['valueChild1'].errors ? 'error' : 'default'"
                           [mbShowError]="isSubmitted && categoryForm.controls['valueChild1'].errors !== null"
                           [mbErrors]="categoryForm.controls['valueChild1'].errors" [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
            | translate: {'param': 'modelOrganization.validate.feild' | translate }},
            ]" [mbMaxLength]="250" formControlName="valueChild1"
                           mbPlaceholderText="{{'modelOrganization.placeHoder.attCategory' | translate}}"
                           mbLabelText="{{'modelOrganization.label.childCategoryValue1' | translate}} <span class='label__required'>*</span>">
            </mb-input-text>
          </div>
          <div nzSpan="6" nz-col class="btn-fill">
            <div class='mt-20' *ngIf="categoryForm.controls['categoryChild1'].value && listLookupCodeChlid2.length">
              <nz-switch nzSize="small" [(ngModel)]="isShowLevel2" [ngModelOptions]="{standalone: true}" (ngModelChange)="changeSw($event, 2)"></nz-switch>
              <span class="text">{{ 'Chọn danh mục' | translate }}</span>
            </div>
          </div>

        </div>

      <div nz-row [nzGutter]="24" *ngIf="isShowLevel2">
        <div nzSpan="9" nz-col>
          <mb-select [mbDataSelects]="listLookupCodeChlid2" mbKeyLabel="lcoDesc" mbKeyValue="lcoId"
                     formControlName="categoryChild2" [mbDisable]='false'
                     [mbType]="isSubmitted && (categoryForm.controls['categoryChild2'].errors || categoryForm.errors?.required) ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && (categoryForm.controls['categoryChild2'].errors || categoryForm.errors?.required) !== null"
                     [mbErrors]="categoryForm.controls['categoryChild2'].errors" [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
            | translate: {'param': 'modelOrganization.validate.feild' | translate }}
            ]" mbLabelText="{{'modelOrganization.label.childCategory2' | translate}} <span class='label__required'>*</span>"
                     mbPlaceholder="{{'modelOrganization.placeHoder.typeCategory' | translate}}">
          </mb-select>
        </div>

        <div nzSpan="9" nz-col>
          <mb-input-text
                         [mbType]="isSubmitted && categoryForm.controls['valueChild2'].errors ? 'error' : 'default'"
                         [mbShowError]="isSubmitted && categoryForm.controls['valueChild2'].errors !== null"
                         [mbErrors]="categoryForm.controls['valueChild2'].errors" [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
            | translate: {'param': 'modelOrganization.validate.feild' | translate }},
            ]" [mbMaxLength]="250" formControlName="valueChild2"
                         mbPlaceholderText="{{'modelOrganization.placeHoder.typeCategory' | translate}}"
                         mbLabelText="{{'modelOrganization.label.childCategoryValue2' | translate}} <span class='label__required'>*</span>">
          </mb-input-text>
        </div>
<!--        <div nzSpan="6" nz-col class="btn-fill">-->
<!--          <div class='mt-20'>-->
<!--            <nz-switch></nz-switch>-->
<!--            <span class="text">{{ 'Chọn danh mục' | translate }}</span>-->
<!--          </div>-->
<!--        </div>-->

      </div>

        <div nz-row [nzGutter]="24">
          <div nz-col nzSpan="9" class="main-job-card__left">
            <mb-date-picker mbFormat="dd/MM/yyyy"
                            formControlName="fromDate"
                            mbLabelText="{{'modelOrganization.label.startDate' | translate}}">
            </mb-date-picker>
          </div>
          <div nz-col nzSpan="9" class="main-job-card__left">
            <mb-date-picker mbFormat="dd/MM/yyyy"
                            formControlName="toDate"
                            mbLabelText="{{'modelOrganization.label.endDate' | translate}}">
            </mb-date-picker>
          </div>
        </div>

        <div nz-row [nzGutter]="24">
<!--            <div nzSpan="12" nz-col>-->
<!--                <mb-input-text (keypress)="onKeypress($event)" (mbChange)="changeValue($event)"-->
<!--                    [mbType]="isSubmitted && (categoryForm.controls['lvaMean'].errors || categoryForm.errors?.date) ? 'error' : 'default'"-->
<!--                    [mbShowError]="isSubmitted && (categoryForm.controls['lvaMean'].errors || categoryForm.errors?.required) !== null"-->
<!--                    [mbErrors]="categoryForm.controls['lvaMean'].errors" [mbErrorDefs]="[-->
<!--            { errorName: 'required', errorDescription: 'modelOrganization.validate.required'-->
<!--            | translate: {'param': 'modelOrganization.validate.feild' | translate }},-->
<!--            ]" [mbMaxLength]="250" formControlName="lvaMean"-->
<!--                    mbPlaceholderText="{{'modelOrganization.placeHoder.attCategory' | translate}}"-->
<!--                    mbLabelText="{{'modelOrganization.label.attCategory' | translate}} <span class='label__required'>*</span>">-->
<!--                </mb-input-text>-->
<!--            </div>-->
          <div nzSpan="9" nz-col>
            <mb-select [mbDataSelects]="listStatus" mbKeyLabel="name" mbKeyValue="value" formControlName="flagStatus"
                       [mbShowClear]="false"
                       mbLabelText="{{'modelOrganization.positionGroup.status' | translate}}"
                       mbPlaceholder="{{'modelOrganization.positionGroup.placeHoder.typeStatus' | translate}}"></mb-select>
          </div>

        </div>
    </div>

    <div class="footer">
        <mb-button (click)="closeModal()" mbButtonText="{{'modelOrganization.positionGroup.cancel' | translate}}"
            mbButtonAvailableStyle="BtnCancelHasBorder">
        </mb-button>
        <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="submit()"
            mbButtonText="{{'common.button.saveS' | translate}}" mbButtonAvailableStyle="PRIMARY">
        </mb-button>
    </div>
</form>
